# ./addons/eventscripts/radio.py

import es, cfglib, popuplib, usermsg, gamethread

config = cfglib.AddonCFG(es.getAddonPath("radio") + "/radio.cfg")
radio_advert            = config.cvar('radio_advert', 1, 'do you want to advertise that your server uses this addon? 1 = yes, 0 = no')
radio_rounds_tilladvert = config.cvar('radio_rounds_tilladvert', 1, '1 = every round displays advert, 2 = advert displays every other round, etc.')
config.write()

info = es.AddonInfo()
info['name']        = "Radio"
info['version']     = "1.5"
info['author']      = "chiller4fun"
info['url']         = "http://chiller4fun.de"
info['description'] = "In-game radio using SourceTunes.com and Mattie's ES"

es.ServerVar('radio_version', info['version'], 'Chillers Radio made by chiller4fun').makepublic()

def load():
   config.execute()
   global roundcount
   roundcount = 0
   index = popuplib.create('index')
   index.addline('Chillers Jukebox')
   index.addline('->1. Browse Source Tunes')
   index.addline('->2. Techno')
   index.addline('->3. Hip Hop')
   index.addline(' ')
   index.addline('->0. Exit')
   index.menuselect = index_menu
   
   jazz = popuplib.create('jazz')
   jazz.addline('Techno')
   jazz.addline("->1. Basslover")
   jazz.addline('->2. Techno')
   jazz.addline('->3. Blackbeats4ever')
   jazz.addline('->4. Hardstyle')
   jazz.addline('->5. Technobase FM')
   jazz.addline('->6. Rock')
   jazz.addline('->7. House')
   jazz.addline(' ')
   jazz.addline('->9. Previous Page')
   jazz.addline('0. Exit')
   jazz.menuselect = jazz_menu
   
   country = popuplib.create('country')
   country.addline('Hip Hop')
   country.addline("->1. Blackbeats-FM")
   country.addline('->2. RnB+Hiphop1 ')
   country.addline('->3. RnB+Hiphop2  ')
   country.addline('->4. HIPHOP')
   country.addline(' ')
   country.addline('->9. Previous Page')
   country.addline('0. Exit')
   country.menuselect = country_menu
   
   

   
def unload():
   popuplib.delete('index')
   popuplib.delete('jazz')
   popuplib.delete('country')
   popuplib.delete('dance')
   popuplib.delete('dance2')
   popuplib.delete('hits')
   popuplib.delete('hits2')
   popuplib.delete('decades')
   popuplib.delete('decades2')
   popuplib.delete('rock')
   popuplib.delete('rock2')
   popuplib.delete('urban')
   popuplib.delete('urban2')
   popuplib.delete('world')
   
def index_menu(userid, choice, popupid):
   if choice == 1:
      usermsg.motd(userid, 2, 'Source Tunes', 'http://www.google.de')
   elif choice == 2:
      popuplib.send('jazz', userid)
   elif choice == 3:
      popuplib.send('country', userid)
   elif choice == 4:
      popuplib.send('dance', userid)
   elif choice == 5:
      popuplib.send('hits', userid)
   elif choice == 6:
      popuplib.send('decades', userid)
   elif choice == 7:
      popuplib.send('rock', userid)
   elif choice == 8:
      popuplib.send('urban', userid)
   elif choice == 9:
      popuplib.send('world', userid)
   
def jazz_menu(userid, choice, popupid):
   if choice == 1:
      usermsg.motd(userid, 2, 'Source Tunes - Blues/Jazz', 'www.basslover.de/radio/mediaplayer.php')
   elif choice == 2:
      usermsg.motd(userid, 2, 'Source Tunes - Blues/Jazz', 'www.technobase.fm/wmplayer.php')
   elif choice == 3:
      usermsg.motd(userid, 2, 'Source Tunes - Blues/Jazz', 'www.surfmusik.de/radio/blackbeats-fm,8740.html')
   elif choice == 4:
      usermsg.motd(userid, 2, 'Source Tunes - Blues/Jazz', 'www.surfmusik.de/radio/di-fm-hardstyle-dsl,10711.html')
   elif choice == 5:
      usermsg.motd(userid, 2, 'Source Tunes - Blues/Jazz', 'www.technobase.fm/wmplayer.php')
   elif choice == 6:
      usermsg.motd(userid, 2, 'Source Tunes - Blues/Jazz', ' www.surfmusik.de/radio/radio-bob,10837.html')
   elif choice == 7:
      usermsg.motd(userid, 2, 'Source Tunes - Blues/Jazz', 'www.surfmusik.de/radio/di-fm-house-dsl,11479.html') 
   elif choice == 8:
      usermsg.motd(userid, 2, 'Source Tunes - Blues/Jazz', '')   
   elif choice == 9:
      popuplib.close('jazz', userid)
      popuplib.send('index', userid)
   
def country_menu(userid, choice, popupid):
   if choice == 1:
      usermsg.motd(userid, 2, 'Source Tunes - Country', 'www.surfmusik.de/radio/blackbeats-fm,8740.html')
   elif choice == 2:
      usermsg.motd(userid, 2, 'Source Tunes - Country', 'www.surfmusik.de/radio/musik-jam-on-rautemusik-fm-dsl,5133.html')
   elif choice == 3:
      usermsg.motd(userid, 2, 'Source Tunes - Country', 'www.surfmusik.de/radio/mdr-sputnik-black,5865.html')
   elif choice == 4:
      usermsg.motd(userid, 2, 'Source Tunes - Country', 'www.de.delicast.com/radio/USA/hiphop/181.fm_The_Beat')
   elif choice == 5:
      usermsg.motd(userid, 2, 'Source Tunes - Country', '')
   elif choice == 6:
      usermsg.motd(userid, 2, 'Source Tunes - Country', '')
   elif choice == 7:
      usermsg.motd(userid, 2, 'Source Tunes - Country', '')
   elif choice == 8:
      usermsg.motd(userid, 2, 'Source Tunes - Country', '')
   elif choice == 9:
      popuplib.close('country', userid)
      popuplib.send('index', userid)
   
def dance_menu(userid, choice, popupid):
   if choice == 1:
      usermsg.motd(userid, 2, 'Source Tunes - Dance/Techno/House', '')
   elif choice == 2:
      usermsg.motd(userid, 2, 'Source Tunes - Dance/Techno/House', '')
   elif choice == 3:
      usermsg.motd(userid, 2, 'Source Tunes - Dance/Techno/House', '')
   elif choice == 4:
      usermsg.motd(userid, 2, 'Source Tunes - Dance/Techno/House', '')
   elif choice == 5:
      usermsg.motd(userid, 2, 'Source Tunes - Dance/Techno/House', '')
   elif choice == 6:
      usermsg.motd(userid, 2, 'Source Tunes - Dance/Techno/House', '')
   elif choice == 7:
      usermsg.motd(userid, 2, 'Source Tunes - Dance/Techno/House', '')
   elif choice == 8:
      popuplib.close('dance', userid)
      popuplib.send('index', userid)
   elif choice == 9:
      popuplib.close('dance', userid)
      popuplib.send('dance2', userid)
   
def dance2_menu(userid, choice, popupid):
   if choice == 1:
      usermsg.motd(userid, 2, 'Source Tunes - Dance/Techno/House', '')
   elif choice == 2:
      usermsg.motd(userid, 2, 'Source Tunes - Dance/Techno/House', '')
   elif choice == 3:
      usermsg.motd(userid, 2, 'Source Tunes - Dance/Techno/House', '')
   elif choice == 4:
      usermsg.motd(userid, 2, 'Source Tunes - Dance/Techno/House', '')
   elif choice == 5:
      usermsg.motd(userid, 2, 'Source Tunes - Dance/Techno/House', '')
   elif choice == 6:
      usermsg.motd(userid, 2, 'Source Tunes - Dance/Techno/House', '')
   elif choice == 7:
      usermsg.motd(userid, 2, 'Source Tunes - Dance/Techno/House', '')
   elif choice == 8:
      popuplib.close('dance2', userid)
      popuplib.send('dance', userid)
   
def hits_menu(userid, choice, popupid):
   if choice == 1:
      usermsg.motd(userid, 2, 'Source Tunes - Hit Music', '')
   elif choice == 2:
      usermsg.motd(userid, 2, 'Source Tunes - Hit Music', '')
   elif choice == 3:
      usermsg.motd(userid, 2, 'Source Tunes - Hit Music', 'www.jukeboxalive.com/player/player.php?sid=2331333&method=play')
   elif choice == 4:
      usermsg.motd(userid, 2, 'Source Tunes - Hit Music', 'www.jukeboxalive.com/player/player.php?sid=2331341&method=play')
   elif choice == 5:
      usermsg.motd(userid, 2, 'Source Tunes - Hit Music', 'www.jukeboxalive.com/player/player.php?sid=2331347&method=play')
   elif choice == 6:
      usermsg.motd(userid, 2, 'Source Tunes - Hit Music', 'www.jukeboxalive.com/player/player.php?sid=2331351&method=play')
   elif choice == 7:
      usermsg.motd(userid, 2, 'Source Tunes - Hit Music', 'www.jukeboxalive.com/player/player.php?sid=2331355&method=play')
   elif choice == 8:
      popuplib.close('hits', userid)
      popuplib.send('index', userid)
   elif choice == 9:
      popuplib.close('hits', userid)
      popuplib.send('hits2', userid)
   
def hits2_menu(userid, choice, popupid):
   if choice == 1:
      usermsg.motd(userid, 2, 'Source Tunes - Hit Music', 'www.jukeboxalive.com/player/player.php?sid=2331359&method=play')
   elif choice == 2:
      usermsg.motd(userid, 2, 'Source Tunes - Hit Music', 'www.jukeboxalive.com/player/player.php?sid=2331363&method=play')
   elif choice == 8:
      popuplib.close('hits2', userid)
      popuplib.send('hits', userid)
   
def decades_menu(userid, choice, popupid):
   if choice == 1:
      usermsg.motd(userid, 2, 'Source Tunes - Old School/Decades', 'http://www.sourcetunes.com/players/server_player/play.php?id=css&game=&chan=disco')
   elif choice == 2:
      usermsg.motd(userid, 2, 'Source Tunes - Old School/Decades', 'http://www.sourcetunes.com/players/server_player/play.php?id=css&game=&chan=jamminoldies')
   elif choice == 3:
      usermsg.motd(userid, 2, 'Source Tunes - Old School/Decades', 'http://www.sourcetunes.com/players/server_player/play.php?id=css&game=&chan=90sdancehits')
   elif choice == 4:
      usermsg.motd(userid, 2, 'Source Tunes - Old School/Decades', 'http://www.sourcetunes.com/players/server_player/play.php?id=css&game=&chan=oldschoolfunk')
   elif choice == 5:
      usermsg.motd(userid, 2, 'Source Tunes - Old School/Decades', 'http://www.sourcetunes.com/players/server_player/play.php?id=css&game=&chan=skatinjamz')
   elif choice == 6:
      usermsg.motd(userid, 2, 'Source Tunes - Old School/Decades', 'http://www.sourcetunes.com/players/server_player/play.php?id=css&game=&chan=%2080shinrgdance')
   elif choice == 7:
      usermsg.motd(userid, 2, 'Source Tunes - Old School/Decades', 'http://www.sourcetunes.com/players/server_player/play.php?id=css&game=&chan=70slitehits')
   elif choice == 8:
      popuplib.close('decades', userid)
      popuplib.send('index', userid)
   elif choice == 9:
      popuplib.close('decades', userid)
      popuplib.send('decades2', userid)
   
def decades2_menu(userid, choice, popupid):
   if choice == 1:
      usermsg.motd(userid, 2, 'Source Tunes - Old School/Decades', 'http://www.sourcetunes.com/players/server_player/play.php?id=css&game=&chan=80slitehits')
   elif choice == 2:
      usermsg.motd(userid, 2, 'Source Tunes - Old School/Decades', 'http://www.sourcetunes.com/players/server_player/play.php?id=css&game=&chan=70sdecade%20pop')
   elif choice == 3:
      usermsg.motd(userid, 2, 'Source Tunes - Old School/Decades', 'http://www.sourcetunes.com/players/server_player/play.php?id=css&game=&chan=80sdecadepop')
   elif choice == 4:
      usermsg.motd(userid, 2, 'Source Tunes - Old School/Decades', 'http://www.sourcetunes.com/players/server_player/play.php?id=css&game=&chan=90sdecaderhythmic')
   elif choice == 5:
      usermsg.motd(userid, 2, 'Source Tunes - Old School/Decades', 'http://www.sourcetunes.com/players/server_player/play.php?id=css&game=&chan=90sdecadepop')
   elif choice == 8:
      popuplib.close('decades2', userid)
      popuplib.send('decades', userid)
   
def rock_menu(userid, choice, popupid):
   if choice == 1:
      usermsg.motd(userid, 2, 'Source Tunes - Rock', 'http://www.sourcetunes.com/players/server_player/play.php?id=css&game=&chan=hardrock')
   elif choice == 2:
      usermsg.motd(userid, 2, 'Source Tunes - Rock', 'http://www.sourcetunes.com/players/server_player/play.php?id=css&game=&chan=alternativerock')
   elif choice == 3:
      usermsg.motd(userid, 2, 'Source Tunes - Rock', 'http://www.sourcetunes.com/players/server_player/play.php?id=css&game=&chan=classicrock')
   elif choice == 4:
      usermsg.motd(userid, 2, 'Source Tunes - Rock', 'http://www.sourcetunes.com/players/server_player/play.php?id=css&game=&chan=hairvoltage')
   elif choice == 5:
      usermsg.motd(userid, 2, 'Source Tunes - Rock', 'http://www.sourcetunes.com/players/server_player/play.php?id=css&game=&chan=lovebites')
   elif choice == 6:
      usermsg.motd(userid, 2, 'Source Tunes - Rock', 'http://www.sourcetunes.com/players/server_player/play.php?id=css&game=&chan=classicalternative')
   elif choice == 7:
      usermsg.motd(userid, 2, 'Source Tunes - Rock', 'http://www.sourcetunes.com/players/server_player/play.php?id=css&game=&chan=classicnewwave')
   elif choice == 8:
      popuplib.close('rock', userid)
      popuplib.send('index', userid)
   elif choice == 9:
      popuplib.close('rock', userid)
      popuplib.send('rock2', userid)
   
def rock2_menu(userid, choice, popupid):
   if choice == 1:
      usermsg.motd(userid, 2, 'Source Tunes - Rock', 'http://www.google.de')
   elif choice == 8:
      popuplib.close('rock2', userid)
      popuplib.send('rock', userid)

def urban_menu(userid, choice, popupid):
   if choice == 1:
      usermsg.motd(userid, 2, 'Source Tunes - Urban/RnB', 'http://www.sourcetunes.com/players/server_player/play.php?id=css&game=&chan=rbhits')
   elif choice == 2:
      usermsg.motd(userid, 2, 'Source Tunes - Urban/RnB', 'http://www.sourcetunes.com/players/server_player/play.php?id=css&game=&chan=rhythmichits')
   elif choice == 3:
      usermsg.motd(userid, 2, 'Source Tunes - Urban/RnB', 'http://www.sourcetunes.com/players/server_player/play.php?id=css&game=&chan=quietstorm')
   elif choice == 4:
      usermsg.motd(userid, 2, 'Source Tunes - Urban/RnB', 'http://www.sourcetunes.com/players/server_player/play.php?id=css&game=&chan=greatgoldengrooves')
   elif choice == 5:
      usermsg.motd(userid, 2, 'Source Tunes - Urban/RnB', 'http://www.sourcetunes.com/players/server_player/play.php?id=css&game=&chan=solidgoldsoul')
   elif choice == 6:
      usermsg.motd(userid, 2, 'Source Tunes - Urban/RnB', 'http://www.sourcetunes.com/players/server_player/play.php?id=css&game=&chan=oldschoolfunk')
   elif choice == 7:
      usermsg.motd(userid, 2, 'Source Tunes - Urban/RnB', 'http://www.sourcetunes.com/players/server_player/play.php?id=css&game=&chan=jamminoldies')
   elif choice == 8:
      popuplib.close('urban', userid)
      popuplib.send('index', userid)
   elif choice == 9:
      popuplib.close('urban', userid)
      popuplib.send('urban2', userid)
   
def urban2_menu(userid, choice, popupid):
   if choice == 1:
      usermsg.motd(userid, 2, 'Source Tunes - Urban/RnB', 'http://www.sourcetunes.com/players/server_player/play.php?id=css&game=&chan=thaflavaclean')
   elif choice == 2:
      usermsg.motd(userid, 2, 'Source Tunes - Urban/RnB', 'http://www.sourcetunes.com/players/server_player/play.php?id=css&game=&chan=thaflavaraw')
   elif choice == 3:
      usermsg.motd(userid, 2, 'Source Tunes - Urban/RnB', 'http://www.sourcetunes.com/players/server_player/play.php?id=css&game=&chan=oldschoolrap')
   elif choice == 4:
      usermsg.motd(userid, 2, 'Source Tunes - Urban/RnB', 'http://www.sourcetunes.com/players/server_player/play.php?id=css&game=&chan=skatinjamz')
   elif choice == 8:
      popuplib.close('urban2', userid)
      popuplib.send('urban', userid)
   
def world_menu(userid, choice, popupid):
   if choice == 1:
      usermsg.motd(userid, 2, 'Source Tunes - World/Latin', 'http://www.sourcetunes.com/players/server_player/play.php?id=css&game=&chan=Latino%20Caliente')
   elif choice == 2:
      usermsg.motd(userid, 2, 'Source Tunes - World/Latin', 'http://www.sourcetunes.com/players/server_player/play.php?id=css&game=&chan=Reggaeton')
   elif choice == 3:
      usermsg.motd(userid, 2, 'Source Tunes - World/Latin', 'http://www.sourcetunes.com/players/server_player/play.php?id=css&game=&chan=Merengue')
   elif choice == 4:
      usermsg.motd(userid, 2, 'Source Tunes - World/Latin', 'http://www.sourcetunes.com/players/server_player/play.php?id=css&game=&chan=salsa')
   elif choice == 8:
      popuplib.close('world', userid)
      popuplib.send('index', userid)
   
def player_say(ev):
   if ev['text'].lower() in ('radio', '/radio'):
      popuplib.send('index', ev['userid'])
   elif ev['text'].lower() in ('radiooff', '/radiooff'):
      usermsg.motd(ev['userid'], 2, 'Source Tunes', 'http://www.google.de')

def round_start(ev):
   global roundcount
   roundcount += 1
   if roundcount == radio_rounds_tilladvert:
      roundcount = 0
      if int(radio_advert):
         es.msg('#multi', '#green[#lightgreenSource Radio#green] #defaultType #lightgreenradio #defaultto bring up the radio menu')
         es.msg('#multi', '#green[#lightgreenSource Radio#green] #defaultType #lightgreenradiooff #defaultto switch the radio off')